<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.5) on Mon Jan 27 13:11:08 CET 2020 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":1,"i2":2,"i3":1,"i4":1,"i5":2,"i6":2,"i7":2,"i8":2,"i9":2,"i10":2,"i11":1,"i12":1,"i13":1,"i14":1,"i15":1,"i16":1,"i17":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span id="t0" class="activeTableTab"><span>All Classes</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Interface Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Class Summary</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><a href="afficheur/Afficheur.html" title="class in afficheur">Afficheur</a></td>
<th class="colLast" scope="row">
<div class="block">Implementation d'un afficheur synchrone.</div>
</th>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><a href="strategy/interfaces/AlgoDiffusion.html" title="interface in strategy.interfaces">AlgoDiffusion</a></td>
<th class="colLast" scope="row">
<div class="block">Interface d'un algorithme de diffusion des observers asynchrone d'un capteur.</div>
</th>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><a href="proxy/Canal.html" title="class in proxy">Canal</a></td>
<th class="colLast" scope="row">
<div class="block">Interface d'un canal, qui joue un double rôle du coté synchrone et asynchrone.</div>
</th>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><a href="capteur/Capteur.html" title="interface in capteur">Capteur</a></td>
<th class="colLast" scope="row">
<div class="block">Interface d'un capteur synchrone.</div>
</th>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><a href="proxy/interfaces/CapteurAsync.html" title="interface in proxy.interfaces">CapteurAsync</a></td>
<th class="colLast" scope="row">
<div class="block">Interface d'un capteur asynchrone.</div>
</th>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><a href="capteur/CapteurImpl.html" title="class in capteur">CapteurImpl</a></td>
<th class="colLast" scope="row">
<div class="block">Implementation d'un capteur synchrone.</div>
</th>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><a href="strategy/DiffusionAtomique.html" title="class in strategy">DiffusionAtomique</a></td>
<th class="colLast" scope="row">
<div class="block">Algorithme de notification des observers asynchrone du capteur basé sur la diffusion atomique.</div>
</th>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><a href="strategy/DiffusionEpoque.html" title="class in strategy">DiffusionEpoque</a></td>
<th class="colLast" scope="row">
<div class="block">Algorithme de notification des observers asynchrone du capteur basé sur la diffusion par époque.</div>
</th>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><a href="strategy/DiffusionSequentielle.html" title="class in strategy">DiffusionSequentielle</a></td>
<th class="colLast" scope="row">
<div class="block">Algorithme de notification des observers asynchrone du capteur basé sur la diffusion séquentielle.</div>
</th>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><a href="proxy/GetValue.html" title="class in proxy">GetValue</a></td>
<th class="colLast" scope="row">
<div class="block">Classe asynchrone qui implémente Callable.</div>
</th>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><a href="Main.html" title="class in &lt;Unnamed&gt;">Main</a></td>
<th class="colLast" scope="row">
<div class="block">Application créant un capteur, des canaux et des afficheurs.</div>
</th>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><a href="capteur/ObservableByAsync.html" title="interface in capteur">ObservableByAsync</a>&lt;<a href="capteur/ObservableByAsync.html" title="type parameter in ObservableByAsync">T</a> extends <a href="observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">Interface d'un observable par asynchronicité.</div>
</th>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><a href="observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&lt;<a href="observer/ObserverAsync.html" title="type parameter in ObserverAsync">T</a> extends <a href="capteur/ObservableByAsync.html" title="interface in capteur">ObservableByAsync</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">Interface d'un observer asynchrone.</div>
</th>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><a href="proxy/interfaces/ObserverAsyncDeCapteur.html" title="interface in proxy.interfaces">ObserverAsyncDeCapteur</a></td>
<th class="colLast" scope="row">
<div class="block">Observer asynchrone de capteur permettant la mise à jour d'un observer après
 un certain délai.</div>
</th>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><a href="observer/ObserverDeCapteurAsync.html" title="interface in observer">ObserverDeCapteurAsync</a></td>
<th class="colLast" scope="row">
<div class="block">Interface d'un observer synchrone de capteur asynchrone.</div>
</th>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><a href="observer/ObserverDeSubjectAsync.html" title="interface in observer">ObserverDeSubjectAsync</a>&lt;<a href="observer/ObserverDeSubjectAsync.html" title="type parameter in ObserverDeSubjectAsync">T</a> extends <a href="observer/SubjectAsync.html" title="interface in observer">SubjectAsync</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">Interface d'un observer synchrone de sujet asynchrone.</div>
</th>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><a href="observer/SubjectAsync.html" title="interface in observer">SubjectAsync</a>&lt;<a href="observer/SubjectAsync.html" title="type parameter in SubjectAsync">T</a> extends <a href="observer/ObserverDeSubjectAsync.html" title="interface in observer">ObserverDeSubjectAsync</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">Interface d'un sujet asychrone.</div>
</th>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><a href="proxy/Update.html" title="class in proxy">Update</a></td>
<th class="colLast" scope="row">
<div class="block">Classe asynchrone qui implémente Callable.</div>
</th>
</tr>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
